#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

with open('HISTORY.md') as history_file:
    history = history_file.read()

requirements = [ 'py4j', 'psutil' ]

setup_requirements = [ ]

test_requirements = [ ]

setup(
    author="Paras Gupta",
    author_email='paras_gupta@outlook.com',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="A py4j based hdfs client for python for native hdfs CLI performance.",
    entry_points={
        'console_scripts': [
            'pyhdfs_client=pyhdfs_client.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    long_description_content_type='text/markdown',
    include_package_data=True,
    keywords='pyhdfs_client',
    name='pyhdfs_client',
    packages=find_packages(include=['pyhdfs_client', 'pyhdfs_client.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/gupta-paras/pyhdfs_client',
    version='0.1.3',
    zip_safe=False,
)
